org.h2gis.functions.spatial.create

## Class ST_MakePoint

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.create.ST_MakePoint

All Implemented Interfaces:
  org.h2gis.api.Function, org.h2gis.api.ScalarFunction

Direct Known Subclasses:
  ST_Point

    public class ST_MakePoint
    extends org.h2gis.api.DeterministicScalarFunction

ST_MakePoint constructs POINT from two or three doubles.

Author:
  Adam Gouge

### Field Summary

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC, PROP_NOBUFFER`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Constructor Summary

Constructors
Constructor and Description
`ST_MakePoint()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.locationtech.jts.geom.Point` `createPoint(double x, double y)` Constructs POINT from two doubles.
`static org.locationtech.jts.geom.Point` `createPoint(double x, double y, double z)` Constructs POINT from three doubles.
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_MakePoint

    public ST_MakePoint()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### createPoint

    public static org.locationtech.jts.geom.Point createPoint(double x,
                                                              double y)
                                                       throws SQLException

Constructs POINT from two doubles.

Parameters:
  `x` - X-coordinate
  `y` - Y-coordinate
Returns:
  The POINT constructed from the given coordinatesk
Throws:
  `SQLException`

#### createPoint

    public static org.locationtech.jts.geom.Point createPoint(double x,
                                                              double y,
                                                              double z)
                                                       throws SQLException

Constructs POINT from three doubles.

Parameters:
  `x` - X-coordinate
  `y` - Y-coordinate
  `z` - Z-coordinate
Returns:
  The POINT constructed from the given coordinates
Throws:
  `SQLException`